package ink.wgink.module.file.media.pojo.vos.rtmp;

import ink.wgink.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: ClientVO
 * @Description: rtmp客户端
 * @Author: CodeFactory
 * @Date: 2022-04-26 22:03:44
 * @Version: 3.0
 **/
@ApiModel
public class RtmpClientVO {

    @ApiModelProperty(name = "clientName", value = "客户端名称")
    @CheckEmptyAnnotation(name = "客户端名称")
    private String clientName;
    @ApiModelProperty(name = "clientSummary", value = "客户端描述")
    private String clientSummary;
    @ApiModelProperty(name = "clientKey", value = "客户端用户名")
    @CheckEmptyAnnotation(name = "客户端用户名", verifyType = "letterOrNumber")
    private String clientKey;
    @ApiModelProperty(name = "clientSecret", value = "客户端密码")
    @CheckEmptyAnnotation(name = "客户端密码")
    private String clientSecret;
    @ApiModelProperty(name = "clientStatus", value = "设备状态")
    @CheckEmptyAnnotation(name = "设备状态")
    private String clientStatus;
    @ApiModelProperty(name = "clientUrl", value = "客户端地址")
    @CheckEmptyAnnotation(name = "客户端地址")
    private String clientUrl;
    @ApiModelProperty(name = "expireTime", value = "过期时间")
    @CheckEmptyAnnotation(name = "过期时间")
    private String expireTime;
    @ApiModelProperty(name = "areaCode", value = "地区编码")
    private String areaCode;
    @ApiModelProperty(name = "areaName", value = "地区名称")
    private String areaName;
    @ApiModelProperty(name = "positionLng", value = "位置经度")
    private String positionLng;
    @ApiModelProperty(name = "positionLat", value = "位置纬度")
    private String positionLat;
    @ApiModelProperty(name = "positionAddress", value = "位置地址")
    private String positionAddress;

    public String getClientName() {
        return clientName == null ? "" : clientName.trim();
    }

    public void setClientName(String clientName) {
        this.clientName = clientName;
    }

    public String getClientSummary() {
        return clientSummary == null ? "" : clientSummary.trim();
    }

    public void setClientSummary(String clientSummary) {
        this.clientSummary = clientSummary;
    }

    public String getClientKey() {
        return clientKey == null ? "" : clientKey.trim();
    }

    public void setClientKey(String clientKey) {
        this.clientKey = clientKey;
    }

    public String getClientSecret() {
        return clientSecret == null ? "" : clientSecret.trim();
    }

    public void setClientSecret(String clientSecret) {
        this.clientSecret = clientSecret;
    }

    public String getClientStatus() {
        return clientStatus == null ? "" : clientStatus.trim();
    }

    public void setClientStatus(String clientStatus) {
        this.clientStatus = clientStatus;
    }

    public String getClientUrl() {
        return clientUrl == null ? "" : clientUrl.trim();
    }

    public void setClientUrl(String clientUrl) {
        this.clientUrl = clientUrl;
    }

    public String getExpireTime() {
        return expireTime == null ? "" : expireTime.trim();
    }

    public void setExpireTime(String expireTime) {
        this.expireTime = expireTime;
    }


}
